"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformAST = void 0;
const OperationUtils = __importStar(require("../src/operationUtils"));
const wrapVueTransformation_1 = __importStar(require("../src/wrapVueTransformation"));
exports.transformAST = wrapVueTransformation_1.createTransformAST(nodeFilter, fix, 'remove-listeners');
exports.default = wrapVueTransformation_1.default(exports.transformAST);
function nodeFilter(node) {
    var _a, _b;
    return (node.type === 'VAttribute' &&
        node.key.type === 'VDirectiveKey' &&
        node.key.name.name === 'on' &&
        ((_a = node.value) === null || _a === void 0 ? void 0 : _a.type) === 'VExpressionContainer' &&
        ((_b = node.value.expression) === null || _b === void 0 ? void 0 : _b.type) === 'Identifier' &&
        node.value.expression.name === '$listeners');
}
function fix(node) {
    let fixOperations = [];
    fixOperations.push(OperationUtils.remove(node));
    return fixOperations;
}
