"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformAST = void 0;
const OperationUtil = __importStar(require("../../src/operationUtils"));
const wrapVueTransformation_1 = __importStar(require("../../src/wrapVueTransformation"));
exports.transformAST = wrapVueTransformation_1.createTransformAST(nodeFilter, fix, 'popconfirm-rename-event');
exports.default = wrapVueTransformation_1.default(exports.transformAST);
const renameMap = new Map([
    ['onconfirm', 'confirm'],
    ['oncancel', 'cancel']
]);
function nodeFilter(node) {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o;
    return (node.type === 'VIdentifier' &&
        ((_a = node.parent) === null || _a === void 0 ? void 0 : _a.type) === 'VDirectiveKey' &&
        ((_c = (_b = node.parent) === null || _b === void 0 ? void 0 : _b.name) === null || _c === void 0 ? void 0 : _c.type) === 'VIdentifier' &&
        ((_e = (_d = node.parent) === null || _d === void 0 ? void 0 : _d.name) === null || _e === void 0 ? void 0 : _e.name) === 'on' &&
        renameMap.has(node.name) &&
        ((_j = (_h = (_g = (_f = node.parent) === null || _f === void 0 ? void 0 : _f.parent) === null || _g === void 0 ? void 0 : _g.parent) === null || _h === void 0 ? void 0 : _h.parent) === null || _j === void 0 ? void 0 : _j.type) === 'VElement' &&
        ((_o = (_m = (_l = (_k = node.parent) === null || _k === void 0 ? void 0 : _k.parent) === null || _l === void 0 ? void 0 : _l.parent) === null || _m === void 0 ? void 0 : _m.parent) === null || _o === void 0 ? void 0 : _o.name) === 'el-popconfirm');
}
function fix(node) {
    let fixOperations = [];
    // @ts-ignore
    fixOperations.push(OperationUtil.replaceText(node, renameMap.get(node.name)));
    return fixOperations;
}
