"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformAST = void 0;
const OperationUtil = __importStar(require("../../src/operationUtils"));
const wrapVueTransformation_1 = __importStar(require("../../src/wrapVueTransformation"));
exports.transformAST = wrapVueTransformation_1.createTransformAST(nodeFilter, fix, 'time-picker-format-attribute');
exports.default = wrapVueTransformation_1.default(exports.transformAST);
function nodeFilter(node) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const pre = (item) => { var _a; 
    // @ts-ignore
    return item.key.name === 'bind' && ((_a = item.key.argument) === null || _a === void 0 ? void 0 : _a.name) === 'format'; };
    return (node.type === 'VAttribute' &&
        node.key.type === 'VDirectiveKey' &&
        ((_a = node.key.name) === null || _a === void 0 ? void 0 : _a.name) === 'bind' &&
        // @ts-ignore
        ((_b = node.key.argument) === null || _b === void 0 ? void 0 : _b.name) === 'picker-options' &&
        ((_c = node.value) === null || _c === void 0 ? void 0 : _c.type) === 'VExpressionContainer' &&
        ((_d = node.value.expression) === null || _d === void 0 ? void 0 : _d.type) === 'ObjectExpression' &&
        // @ts-ignore
        ((_e = node.value.expression.properties) === null || _e === void 0 ? void 0 : _e.filter(item => item.key.name === 'format').length) > 0 &&
        ((_f = node.parent) === null || _f === void 0 ? void 0 : _f.parent.type) === 'VElement' &&
        ((_g = node.parent.parent) === null || _g === void 0 ? void 0 : _g.name) === 'el-time-picker' &&
        ((_h = node.parent.attributes) === null || _h === void 0 ? void 0 : _h.filter(pre).length) === 0);
}
function fix(node) {
    let fixOperations = [];
    //  get format attribute in the time-picker
    // @ts-ignore
    let formatValue = node.value.expression.properties.filter(
    // @ts-ignore
    item => item.key.name === 'format')[0].value.value;
    //  add format attribute to el-time-picker tag
    fixOperations.push(OperationUtil.insertTextBefore(node, `format='${formatValue}' `));
    return fixOperations;
}
